//
//  ColorPicker.swift
//  ColorPicker
//
//  Created by Akira Hayashi on 2022/09/02.
//

import SwiftUI

struct ColorPicker: View {
    @StateObject var model: ColorPickerModel = ColorPickerModel()
        
    var body: some View {
        VStack {
            ColorPickerSubView(channel: .red, model: model)
            ColorPickerSubView(channel: .green, model: model)
            ColorPickerSubView(channel: .blue, model: model)
            VStack {
                Text("Preview")
                ColorPickerPreview(color: model.color)
                    .frame(width: 100, height: 100)
            }
            .padding()
        }
        .padding()
    }
}

struct ColorPicker_Previews: PreviewProvider {
    static var previews: some View {
        ColorPicker()
            .previewInterfaceOrientation(.portrait)
    }
}
